import { Ref } from "vue";
declare type MapValue = readonly (readonly [any, any])[];
declare type Actions<T> = {
    set: (key: string, value: T) => void;
    get: (key: string) => T;
    remove: (key: string) => void;
    has: (key: string) => boolean;
    clear: () => void;
    setAll: (newMap: MapValue) => void;
    reset: () => void;
};
declare function useMap<T = any>(initialValue?: MapValue): [state: Ref<Map<any, any>>, actions: Actions<T>];
export default useMap;
